/**
 *
 * @param {number[]} light_data
 * @param {number} count
 * @param {number[]|Uint32Array|Uint16Array|Uint8Array|Uint8ClampedArray} light_lookup_texture_data
 * @param {number} address
 * @returns {boolean}
 */
export function testClusterEquality(light_data, count, light_lookup_texture_data, address) {
    for (let i = 0; i < count; i++) {

        const existing_light_address = light_lookup_texture_data[address + i];

        const datum = light_data[i] * 2;

        if (datum !== existing_light_address) {
            return false;
        }
    }

    return true;
}
